Skip to main content
GET
/
v1
/
credit
Get credit line details
curl --request GET \
  --url https://api-sandbox.circle.com/v1/credit \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "b3d9d2d5-4c12-4946-a09d-953e82fae2b0",
    "product": "lineOfCredit",
    "status": "active",
    "limit": {
      "amount": "1000000.00",
      "currency": "USD"
    },
    "used": {
      "amount": "250000.00",
      "currency": "USD"
    },
    "available": {
      "amount": "750000.00",
      "currency": "USD"
    },
    "outstandingTransfers": 2,
    "feeRates": {
      "dailyFee": "0.0003"
    },
    "unpaidFees": {
      "amount": "150.00",
      "currency": "USD"
    },
    "minBalance": {
      "amount": "100000.00",
      "currency": "USD"
    },
    "validationErrors": [],
    "createDate": "2024-01-15T10:30:00.000Z",
    "updateDate": "2024-03-20T14:22:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successfully retrieved credit line details.

data
object

Credit line details including status, available limit, and outstanding balance.